for f in $(find -name \*.ebuild); do
	DIR=`dirname $f`
	pushd $DIR
	echo $DIR
	if [ -f HEADER ]
	then
		FILE=`basename $f`
		echo $FILE
		URL=`cat HEADER | grep URL |  awk '{$1=$2=""; printf $0}' | sed 's/^[ \t]*//;s/[ \t]*$//'`
		SUMMARY=`cat HEADER | grep Summary |  awk '{$1=$2=""; printf $0}' | sed 's/^[ \t]*//;s/[ \t]*$//'`
		
		sed -e "s!DESCRIPTION=.*!DESCRIPTION=\"$SUMMARY\"!g" -i $FILE
		sed -e "s!HOMEPAGE=.*!HOMEPAGE=\"$URL\"!g" -i $FILE
		sed -e "s!LICENSE=.*!LICENSE=\"NetIQ-eDir-88\"!g" -i $FILE
	fi
	rm -f HEADER
	git add *
	go-commit -y -f -m "Correct Desc. Url. Licens"
	popd
done


